## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/csuctransform.h File Reference

Converter between UTF encodings. More...

`#include "csunicode.h"`

Go to the source code of this file.

## Classes

class | csUnicodeTransform
| Contains functions to convert between several UTF encodings. More...

## UTF Encoders

#define | _OUTPUT_CHAR(buf, chr)

## Converters between strings in different UTF encodings

#define | OUTPUT_CHAR(chr) _OUTPUT_CHAR(dest, chr)
#define | OUTPUT_CHAR(chr) _OUTPUT_CHAR(buf, chr)
#define | UCTF_CONVERTER(funcName, fromType, decoder, toType, encoder)

## Defines

#define | CS_UC_MAX_MAPPED 3
| A complex mapping (uppercase, lowercase, fold) for a Unicode code point expands to at maximum this number of code points.
#define | CS_UC_MAX_UTF16_ENCODED 2
| An Unicode code point as UTF16 is at maximum encoded to this number of code units.
#define | CS_UC_MAX_UTF32_ENCODED 1
| An Unicode code point as UTF32 is at maximum encoded to this number of code units.
#define | CS_UC_MAX_UTF8_ENCODED 4
| An Unicode code point as UTF8 is at maximum encoded to this number of code units.
#define | FAIL(ret)
#define | GET_NEXT(next)
#define | SUCCEED

## Enumerations

enum | { csUcMapSimple = (1 << 0) }
| Flags influencing the behaviour of MapToUpper, MapToLower and MapToFold. More...

## Detailed Description

Converter between UTF encodings.

Definition in file csuctransform.h.